/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomSQLResultSet_H___INT_
#define __GdomSQLResultSet_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "SQLResultSet.h"
namespace WebCore {
    gpointer toGDOM(SQLResultSet* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMSQLResultSet : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_SQL_RESULT_SET; }
    GDOMSQLResultSet(PassRefPtr<WebCore::SQLResultSet> impl);
    virtual ~GDOMSQLResultSet();
    WebCore::SQLResultSet* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::SQLResultSet> m_impl;
};
G_END_DECLS

#endif /* __GdomSQLResultSet_H___INT_*/
